Forum Index » Linux/Deskphone development » Yocto build   XML
 
Author Message
Stefan9


Joined: 17/04/2018 04:27:59
Messages: 2
Offline

Hi everyone

Did any of you get a Yocto build with libjabra working?
I'm working right now on Yocto branch 'thud' and I'm struggling with the libssl and libcrypto (openssl) versions. thud still supports openssl10, but I only get the newest version (1.0.2) or with openssl (1.1) working.

Can anyone help me with this problem?

Kind Regards,
Stefan

This message was edited 1 time. Last update was at 19/07/2019 09:37:00

Stefan9


Joined: 17/04/2018 04:27:59
Messages: 2
Offline

I got it working now.

If someone has to do the same, just create a new recipe for openssl 1.0.0 and copy libssl.so.1.0.0 and libcrypto.so.1.0.0 from an installed ubuntu (I know, it's not so nice)
Add this recipe as RDEPENDS to your libjabra recipe and to the application recipe, which uses libjabra.
seamus


Joined: 22/11/2019 02:14:25
Messages: 3
Offline

This is so worst. Why libjabra is not statically linked with such dependencies??
 
 
Go to: